Bug 2008944 - Azure Stack UPI does not have Internal Load Balancer
Summary: Azure Stack UPI does not have Internal Load Balancer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.9.0
Assignee: aos-install
QA Contact: Mike Gahagan
URL:
Whiteboard:
Depends On: 2008599 2008990
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-09-29 14:32 UTC by Scott Dodson
Modified: 2021-10-18 17:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 2008599
Environment:
Last Closed: 2021-10-18 17:51:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:52:20 UTC

Description Scott Dodson 2021-09-29 14:32:44 UTC
+++ This bug was initially created as a clone of Bug #2008599 +++

Azure Stack UPI does not have an internal load balancer. This was an oversight on my part. Clusters install successfully but all internal (api-int) traffic sent over the public internet rather than going to a private IP address.

--- Additional comment from Patrick Dillon on 2021-09-28 13:35:14 EDT ---

To verify this, use the modified templates and just follow the instructions as updated in the PR. The only change in the instructions is that when creating the api-int record you should use the PRIVATE_IP variable as specified in the PR.

Comment 1 Scott Dodson 2021-09-29 14:34:33 UTC
Cloning this back to 4.9.0 so that those tracking blockers are aware. This will be a change to the Installer repo that is then mirrored into docs. The installer repo changes do not directly affect the product. Patrick has coordinatd with docs team to ensure that they can land these late changes in time for GA as well as making sure that QE is aware of this change coming.

Comment 3 To Hung Sze 2021-10-01 12:44:50 UTC
Verified the version that is one step from the final version earlier in the week.
Can't verify the final version as ASH environment is down.

(assuming it is to track merging the changes to installer github repo)

Comment 4 To Hung Sze 2021-10-04 18:38:42 UTC
ASH environment is still down.
Developer is in daily contact with Microsoft getting update.
No ETA.

Comment 5 To Hung Sze 2021-10-05 12:53:28 UTC
Portal is accessible now but manual install / verification is still blocked due to one of steps early on still fails.

Comment 6 Mike Gahagan 2021-10-08 15:26:33 UTC
confirmed presence of Internal LB with 4.9.0-rc5, also was able to confirm that the internal nodes can access the /healthz endpoint.

Comment 10 errata-xmlrpc 2021-10-18 17:51:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.